%define module  XML-LibXML
%define name    perl-%{module}
%define version 1.64
%define release %mkrel 1

Name:               %{name}
Version:            %{version}
Release:            %{release}
Summary:            Perl Binding for libxml2
License:            GPL or Artistic
Group:              Development/Perl
Url:                http://search.cpan.org/dist/%{module}/
Source:             http://www.cpan.org/modules/by-module/XML/%{module}-%{version}.tar.bz2
Requires(post):     libxml2
Requires(post):     perl-XML-SAX >= 0.11
Requires(post):     perl-XML-LibXML-Common
Requires(preun):    libxml2
Requires(preun):    perl-XML-SAX >= 0.11
Requires(preun):    perl-XML-LibXML-Common
BuildRequires:      libxml2-devel >= 2.4.20
BuildRequires:      perl-devel
BuildRequires:      perl(XML::NamespaceSupport)
BuildRequires:      perl(XML::SAX)
BuildRequires:      perl(XML::LibXML::Common)
Obsoletes:          perl-XML-LibXML-XPathContext
BuildRoot:          %{_tmppath}/%{name}-%{version}

%description
This module implements much of the DOM Level 2 API as an 
interface to the Gnome libxml2 library. This makes it a fast
and highly capable validating XML parser library, as well as
a high performance DOM.

%prep
%setup -q -n %{module}-%{version}

%build
# only when building from CVS (version 1.51-3mdk)
#CFLAGS="$RPM_OPT_FLAGS" %{__perl} Makefile.PL INSTALLDIRS=vendor
#make docs -i
# only when building from CVS (version 1.51-3mdk)
SKIP_SAX_INSTALL=1 CFLAGS="$RPM_OPT_FLAGS" %{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%clean 
rm -rf %{buildroot}

%install
rm -rf %{buildroot}
%makeinstall_std

%preun -p %{__perl}
use XML::SAX;
XML::SAX->remove_parser(q(XML::LibXML::SAX::Parser))->save_parsers();

%post -p %{__perl}
use XML::SAX;
XML::SAX->add_parser(q(XML::LibXML::SAX::Parser))->save_parsers();

%files
%defattr(-,root,root)
%doc Changes README example/*
%{perl_vendorarch}/auto/XML/LibXML
%{perl_vendorarch}/XML/LibXML*
%{_mandir}/*/*



%changelog
* Wed Sep 12 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.64-1mdv2008.0
+ Revision: 84684
- update to new version 1.64
- add an obsoletes on perl-XML-LibXML-XPathContext (thanks titi)

* Wed May 02 2007 Olivier Thauvin <nanardon@mandriva.org> 1.63-1mdv2008.0
+ Revision: 20684
- 1.63


* Mon Aug 28 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.60-1mdv2007.0
- New version 1.60

* Fri Aug 04 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.59-1mdv2007.0
- new version
- rpmbuildupdate aware

* Fri Feb 03 2006 Pixel <pixel@mandriva.com> 1.58-3mdk
- rebuild
- don't use make install PREFIX, added SKIP_SAX_INSTALL for makeinstall_std to work
- drop MANIFEST from doc

* Mon Nov 15 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.58-2mdk
- rebuild for new perl

* Sun Apr 18 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.58-1mdk
- 1.58
- use %%make macro

